Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM :: Distribution 6.2.1-SNAPSHOT
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.runtime.manager.impl
Class RuntimeEngineImpl

    java.lang.Object
      org.jbpm.runtime.manager.impl.RuntimeEngineImpl

All Implemented Interfaces:
  RuntimeEngine, org.kie.internal.runtime.manager.Disposable

Direct Known Subclasses:
  SynchronizedRuntimeImpl

    public class RuntimeEngineImpl

extends Object
implements RuntimeEngine, org.kie.internal.runtime.manager.Disposable

An implementation of the `RuntimeEngine` that additionally implements the `Disposable` interface to allow other components to register listeners on it. The usual case for this is that listeners and work item handlers might be interested in receiving notification when the runtime engine is disposed of, in order deactivate themselves too and not receive any other events.

Constructor Summary
`RuntimeEngineImpl(Context<?> context, RuntimeEngineInitlializer initializer)`
`RuntimeEngineImpl(KieSession ksession, TaskService taskService)`

Method Summary
`void` | `addDisposeListener(org.kie.internal.runtime.manager.DisposeListener listener)`
`void` | `dispose()`
`AuditService` | `getAuditService()` Returns `AuditService` that gives access to underlying runtime data such as process instance, node instance and variable log entries.
`KieSession` | `getKieSession()` Returns `KieSession` configured for this `RuntimeEngine`
`RuntimeManager` | `getManager()`
`TaskService` | `getTaskService()` Returns `TaskService` configured for this `RuntimeEngine`
`KieSession` | `internalGetKieSession()`
`void` | `internalSetKieSession(KieSession ksession)`
`boolean` | `isAfterCompletion()`
`boolean` | `isDisposed()`
`void` | `setAfterCompletion(boolean completing)`
`void` | `setManager(RuntimeManager manager)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RuntimeEngineImpl

    public RuntimeEngineImpl(KieSession ksession,
                             TaskService taskService)

### RuntimeEngineImpl

    public RuntimeEngineImpl(Context<?> context,
                             RuntimeEngineInitlializer initializer)

Method Detail

### getKieSession

    public KieSession getKieSession()

  Description copied from interface: `RuntimeEngine`
  Returns `KieSession` configured for this `RuntimeEngine`

  Specified by:
    `getKieSession` in interface `RuntimeEngine`
  Returns:

### getTaskService

    public TaskService getTaskService()

  Description copied from interface: `RuntimeEngine`
  Returns `TaskService` configured for this `RuntimeEngine`

  Specified by:
    `getTaskService` in interface `RuntimeEngine`
  Returns:

### dispose

    public void dispose()

  Specified by:
    `dispose` in interface `org.kie.internal.runtime.manager.Disposable`

### addDisposeListener

    public void addDisposeListener(org.kie.internal.runtime.manager.DisposeListener listener)

  Specified by:
    `addDisposeListener` in interface `org.kie.internal.runtime.manager.Disposable`

### getManager

    public RuntimeManager getManager()

### setManager

    public void setManager(RuntimeManager manager)

### isDisposed

    public boolean isDisposed()

### getAuditService

    public AuditService getAuditService()

  Description copied from interface: `RuntimeEngine`
  Returns `AuditService` that gives access to underlying runtime data such as process instance, node instance and variable log entries.

  Specified by:
    `getAuditService` in interface `RuntimeEngine`
  Returns:

### internalGetKieSession

    public KieSession internalGetKieSession()

### internalSetKieSession

    public void internalSetKieSession(KieSession ksession)

### isAfterCompletion

    public boolean isAfterCompletion()

### setAfterCompletion

    public void setAfterCompletion(boolean completing)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM :: Distribution 6.2.1-SNAPSHOT
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2015 JBoss by Red Hat. All Rights Reserved.